List Ledger Entries

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
id[]
array of strings

If you have specific IDs to retrieve in bulk, you can pass them as query parameters delimited with id[]=, for example ?id[]=123&id[]=abc.

id[]
string

Shows all ledger entries on an account.

string

Shows all ledger entries on a transaction.

string

To retrieve the itemized Ledger Entries of an associated settlement, use this query parameter.

date

Use gt (>), gte (>=), lt (<), lte (<=), or eq (=) to filter by the transaction's effective at. Format ISO8601.

date-time

Use gt (>), gte (>=), lt (<), lte (<=), or eq (=) to filter by the posted at timestamp. For example, for all times after Jan 1 2000 12:00 UTC, use updated_at%5Bgt%5D=2000-01-01T12:00:00Z.

string

Use "gt" (>), "gte" (>=), "'lt" (<), "lte" (<=), or "eq" (=) to filter by the created at timestamp. For example, for all times after Jan 1 2000 12:00 UTC, use created_at%5Bgt%5D=2000-01-01T12:00:00Z.

int64

Shows all ledger entries that were present on a ledger account at a particular lock_version. You must also specify ledger_account_id.

string

Shows all ledger entries for ledger accounts in a particular ledger account category.

string

Shows all ledger entries for a particular ledger account statement.

boolean
Defaults to false

If true, response will include ledger entries that were deleted. When you update a ledger transaction to specify a new set of entries, the previous entries are deleted.

string
enum

Get all ledger entries that match the direction specified.

Allowed:
string

To query ledger entries by status, use this query parameter. Can be pending, posted, or archived.

status[]
array of strings

To query ledger entries by status, use this query parameter. Can be pending, posted, or archived. For multiple statuses, use status[]=pending&status[]=posted.

status[]
string

For example, if you want to query for records with metadata key Type and value Loan, the query would be metadata%5BType%5D=Loan. This encodes the query parameters.

string
int32
Defaults to 25
string

Order by created_at or effective_at in asc or desc order. For example, to order by effective_at asc, use order_by%5Beffective_at%5D=asc. Ordering by only one field at a time is supported.

boolean

If true, response will include the balances attached to the ledger entry. If there is no balance available, null will be returned instead.

amount
object

Use gt (>), gte (>=), lt (<), lte (<=), eq (=), or not_eq (!=) to filter by the ledger entry amount.

Response

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json